using Nethereum.ABI.FunctionEncoding.Attributes;

namespace Managing.ABI.GmxV2.Reader.ContractDefinition
{
    public partial class Props : PropsBase
    {
    }

    public class PropsBase
    {
        [Parameter("tuple", "addresses", 1)] public virtual Addresses Addresses { get; set; }
        [Parameter("tuple", "numbers", 2)] public virtual Numbers Numbers { get; set; }
        [Parameter("tuple", "flags", 3)] public virtual Flags Flags { get; set; }
    }
}